# RaytracedInstance Struct Reference
[Data Structures]

Inheritance diagram for RaytracedInstance:

List of all members.

## Public Attributes
I3DShInstance * | fI
| A pointer to the instance.
int32 | fIndex
| The index of the instance.
TTransform3D | fT
| The global transform including the transform of the parent Master Groups.
TTransform3D | fInvT
| The inverse global transform.
boolean | fIsInfinite
| True if the instance is infinite.
TMCCountedPtr< TInstancePath > | fInstancePath
| Path of tha t Master Groups that contain this instance.
boolean | fSelfRaytracable
| True if the instance is self raytracable.
boolean | fVolumePrimitive
| True if the instance is a volume primitive.

## Detailed Description

Describes all the information used to raytrace an instance. See I3DShGroup::GetRaytracedInstances(). The raytraced instances are different from I3DShInstance ! The reason for that is Master Groups. If an instance is placed in a Master Group and the Master Group is instanced twice, there is still only once I3DShInstance however there will be two RaytracedInstance with a different global transform (the transform of I3DShInstance is local to the Master Group that contains it) The index (fIndex) defines a unique identifier over all the raytraced instances.

## Member Data Documentation

I3DShInstance* RaytracedInstance::fI

A pointer to the instance.

int32 RaytracedInstance::fIndex

The index of the instance.

TMCCountedPtr<TInstancePath> RaytracedInstance::fInstancePath

Path of tha t Master Groups that contain this instance.

TTransform3D RaytracedInstance::fInvT

The inverse global transform.

boolean RaytracedInstance::fIsInfinite

True if the instance is infinite.

boolean RaytracedInstance::fSelfRaytracable

True if the instance is self raytracable.

TTransform3D RaytracedInstance::fT

The global transform including the transform of the parent Master Groups.

boolean RaytracedInstance::fVolumePrimitive

True if the instance is a volume primitive.

The documentation for this struct was generated from the following file:

- I3DShGroup.h